Skip to main content
Order Lines

Create Order Line

Adds a new line to an existing goodsout.

POST
/v1/orders/goodsouts/{id}/lines

Scope(s): APP::ORDERS::MANAGE

idstringrequired

Path parameter: id

Pattern: [1-9][0-9]{0,}

Body

application/json
discountnumber

The amount of discount to be applied to the line principal value.

discount_typeany

The type of discount to apply.

net_unit_principalnumberrequired

The net amount paid for a single one of these items.

principal_taxintegerrequired

The ID of the tax that should be applied to the line principal value.

quantityintegerrequired

The quantity ordered.

variationanyrequired

Product description

Response

200application/json

successful operation

discountnumber

Discount amount.

discount_typenumber

Discount type.

idnumber

ID.

itemsany

Line items.

net_unit_principalnumber

Net unit price.

principal_taxobject

Tax rate applied to the line.

quantitynumber

Quantity ordered.

statusenum<string>

Line status.

Available options: active, void
transaction_skustring

SKU used during the transaction.

variationobject

Product variation.